<template>
  <section>
    <Navbar />
    <div class="flex flex-wrap justify-center">
        <ul>
          <li v-for="quote in quotes" :key="quote.id">
            <div class="max-w-2xl w-full bg-white shadow-lg rounded-lg overflow-hidden my-4">
              <div class="px-4 py-2">
              <h2 class="text-gray-800 text-xl font-semibold">{{ quote.anime }}</h2>
              <p class="text-gray-600 text-sm mt-1">{{ quote.quote }}</p>
              </div>
              <div class="flex justify-end px-4 py-2">
                <a href="#" class="text-lg font-semibold text-gray-900">{{ quote.character }}</a>
              </div>
            </div>
          </li>
        </ul>
      </div>
    <!-- Repeat this container div for each quote -->
  </section>
</template>

<script>
  import axios from "axios"
  import Navbar from './components/Navbar.vue'

  export default {
    name: "App",

    components: {
      Navbar
    },

    data(){
      return {
        quotes: []
      }
    },

    mounted() {
      this.fetchData();
    },

    methods: {
      async fetchData() {
        try {
          const response = await axios.get('https://animechan.vercel.app/api/quotes');
          this.quotes = response.data.slice(0, 10);
        } catch (error) {
          console.error(error);
        }
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>